SPA Charts

SPA: Retrieves a paginated list of Charts

Returns a paginated list of charts for the authenticated user's client.

GET/api/spa/charts

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:20

The number of items per page

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[width]
stringdefault:asc

No description provided.

order[height]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

brandIdentifier
string

No description provided.

brandIdentifier[]
string[]

No description provided.

identifier
string

No description provided.

search
string

Search across multiple fields (id, identifier, brandIdentifier, width, height, bgColor, chartJsVersion, activeFrom, active, subClientDefault, createdAt, updatedAt, subClient.description) using OR logic with partial matching.

active
boolean

No description provided.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

Chart collection

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier

Example: "key1"

jsConfiguration
string

Chart configuration. <<>> syntax is supported.

Example: "{type: 'line',data: {labels: ['Jan'..."

width
integer

Chart width

Example: 500

height
integer

Chart height

Example: 300

bgColor
string

Chart background color

Example: "transparent"

chartJsVersion
string

Chart JS version

Example: "4"

templates
string | null[]
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
brandIdentifier
stringrequired

Example: "default"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

versionGroup
string<uuid>

Immutable lineage key shared by all versions of this configuration entry.

versionNumber
integer

Monotonic version counter within the version group. Display/audit only, not part of resolution.

Example: 1

supersededAt
string<date-time>

Moment from which this version is superseded by a newer version of the same version group. Null while the version is (or is scheduled to become) the current one.

changeSummaryDe
string

AI generated German summary of the changes introduced by this version.

changeSummaryEn
string

AI generated English summary of the changes introduced by this version.

summaryStatus
enum<string>

Generation status of the AI change summary.

Available options: pendingdonefailed

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

metadata
object
subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"